Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class InheritanceState

    java.lang.Object
      org.hibernate.cfg.InheritanceState

    public class InheritanceState

extends Object

Some extra data to the inheritance position of a class

Author:
  Emmanuel Bernard

Field Summary
`String` | `accessType` only defined on embedded superclasses
`org.hibernate.annotations.common.reflection.XClass` | `clazz`
`boolean` | `hasParents` a mother entity is available
`boolean` | `hasSons` has son either mappedsuperclass son or entity son
`boolean` | `isEmbeddableSuperclass`
`Boolean` | `isPropertyAnnotated`
`javax.persistence.InheritanceType` | `type`

Constructor Summary
`InheritanceState(org.hibernate.annotations.common.reflection.XClass clazz)`

Method Summary
`static InheritanceState` | `getSuperclassInheritanceState(org.hibernate.annotations.common.reflection.XClass clazz, Map<org.hibernate.annotations.common.reflection.XClass,InheritanceState> states, org.hibernate.annotations.common.reflection.ReflectionManager reflectionManager)`
`static InheritanceState` | `getSuperEntityInheritanceState(org.hibernate.annotations.common.reflection.XClass clazz, Map<org.hibernate.annotations.common.reflection.XClass,InheritanceState> states, org.hibernate.annotations.common.reflection.ReflectionManager reflectionManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### clazz

    public org.hibernate.annotations.common.reflection.XClass clazz

### hasSons

    public boolean hasSons

  has son either mappedsuperclass son or entity son

### hasParents

    public boolean hasParents

  a mother entity is available

### type

    public javax.persistence.InheritanceType type

### isEmbeddableSuperclass

    public boolean isEmbeddableSuperclass

### accessType

    public String accessType

  only defined on embedded superclasses

### isPropertyAnnotated

    public Boolean isPropertyAnnotated

Constructor Detail

### InheritanceState

    public InheritanceState(org.hibernate.annotations.common.reflection.XClass clazz)

Method Detail

### getSuperEntityInheritanceState

    public static InheritanceState getSuperEntityInheritanceState(org.hibernate.annotations.common.reflection.XClass clazz,
                                                                  Map<org.hibernate.annotations.common.reflection.XClass,InheritanceState> states,
                                                                  org.hibernate.annotations.common.reflection.ReflectionManager reflectionManager)

### getSuperclassInheritanceState

    public static InheritanceState getSuperclassInheritanceState(org.hibernate.annotations.common.reflection.XClass clazz,
                                                                 Map<org.hibernate.annotations.common.reflection.XClass,InheritanceState> states,
                                                                 org.hibernate.annotations.common.reflection.ReflectionManager reflectionManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD